CSIT-484: New csit-hc2vpp job set
[ci-management.git] / jjb / hc2vpp / include-raw-hc2vpp-csit-integration.sh
1 #!/bin/bash
2 set -xeu -o pipefail
3
4 # Clone csit and start tests
5 git clone https://gerrit.fd.io/r/csit --branch master
6
7 # If the git clone fails, complain clearly and exit
8 if [ $? != 0 ]; then
9     echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
10     exit
11 fi
12
13 cd csit
14 # execute csit bootstrap script if it exists
15 if [ ! -e bootstrap-hc2vpp-integration.sh ]
16 then
17     echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
18     exit 1
19 else
20     # make sure that bootstrap.sh is executable
21     chmod +x bootstrap-hc2vpp-integration.sh
22     # run the script
23     ./bootstrap-hc2vpp-integration.sh
24 fi
25
26 # vim: ts=4 ts=4 sts=4 et :